## kturtle 4.13.0

=== CMakeLists.txt ===
project (kturtle)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${QT4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


add_subdirectory (doc)
add_subdirectory (src)
add_subdirectory (icons)

## kturtle 4.7.1

=== debian/changelog ===
kturtle (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:14:41 +0200

kturtle (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 22:02:40 +0200

kturtle (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 
  * usr wildcard in install file

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 24 Jul 2011 23:45:16 +0200

kturtle (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Jul 2011 18:25:59 +0200

=== debian/control ===
Source: kturtle
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends:  kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle

Package: kturtle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logo educational programming environment for KDE
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

Package: kturtle-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kturtle (= ${binary:Version})
Description:  debugging symbols for the kturtle module
 This package contains debugging files used to investigate problems with
 binaries included in the kturtle module.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kturtle-dbg

## kturtle 4.7.2

=== debian/changelog ===
kturtle (4:4.7.2-1) experimental; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:02 -0300

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: Logo educational programming environment for KDE
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 4.7.4

=== debian/changelog ===
kturtle (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4. 
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2

## kturtle 4.8.2

=== debian/changelog ===
kturtle (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:46 +0000

kturtle (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:58:34 +0100

kturtle (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 21:56:06 +0100

kturtle (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:33 +0000

kturtle (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 21:55:46 +0100

kturtle (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:06:57 +0000

kturtle (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:06 +0000

kturtle (4:4.7.2-0r0) UNRELEASED; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 16:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: kturtle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kturtle.git
 
 Package: kturtle
 Architecture: any

## kturtle 4.8.4

=== debian/changelog ===
kturtle (4:4.8.4-1) unstable; urgency=low

  * New upstream
  * Fix up short description

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 00:18:56 +0200

kturtle (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 17:05:33 +0100

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 4.9.2

=== debian/changelog ===
kturtle (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:33:29 +0100

kturtle (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:38:33 +0530

kturtle (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:41:40 +0100

kturtle (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:39:51 +0200

kturtle (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:00:48 +0100

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: Logo educational programming environment for KDE
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 4.9.3

=== debian/changelog ===
kturtle (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:40:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git

## kturtle 4.10.0

=== debian/changelog ===
kturtle (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:05:39 +0000

kturtle (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:56:37 +0000

kturtle (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:44:25 +0100

kturtle (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:41:47 +0000

kturtle (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:09:56 +0000

kturtle (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:08:43 +0000

kturtle (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:42:13 +0100

kturtle (4:4.7.2-0r0) raring; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 16:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git

## kturtle 4.10.2

=== debian/changelog ===
kturtle (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update debian/docs file
  * Tidy up debian/copyright file

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:58:32 +0200

kturtle (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:40:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git

## kturtle 4.11.2

=== debian/changelog ===
kturtle (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:43:41 +0100

kturtle (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:33:42 +0100

kturtle (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:31:19 +0100

kturtle (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:53:58 +0100

kturtle (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:12 +0000

kturtle (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:25:01 +0100

kturtle (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:39:31 +0100

kturtle (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:44:26 +0100

kturtle (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:08 +0000

kturtle (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders.
  * No more NEWS file provided upstream, so remove it from docs.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 21:38:58 +0000

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
X-Vcs-Debian-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 4.12.3

=== debian/changelog ===
kturtle (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:48:34 +0100

kturtle (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:12:19 +0100

kturtle (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:17:42 +0000

kturtle (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:32:08 +0000

kturtle (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:30:01 +0000

kturtle (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:29:10 +0000

kturtle (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:26:25 +0100

kturtle (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.12.3)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git

## kturtle 4.13.0

=== debian/changelog ===
kturtle (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:18:33 +0100

kturtle (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:45:39 +0200

kturtle (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:45:23 +0100

kturtle (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:31:58 +0000

kturtle (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git

## kturtle 4.14.1

=== debian/changelog ===
kturtle (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:48 +0200

kturtle (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:16:09 +0200

kturtle (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:28 +0200

kturtle (4:4.12.2-1) experimental; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:19 +0100

kturtle (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:24:04 +0100

kturtle (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:07 +0200

kturtle (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:45:47 +0200

kturtle (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:30 +0200

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kturtle-([\d.]+).tar.xz

## kturtle 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 add_subdirectory (doc)
 add_subdirectory (src)
 add_subdirectory (icons)
+
+install(FILES kturtle.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

=== debian/changelog ===
kturtle (4:4.14.2-0ubuntu1~ubuntu14.04~ppa2) trusty; urgency=medium

  * Apply backport script. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 14 Oct 2014 16:44:52 -0700

kturtle (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * Backport to Trusty. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 14 Oct 2014 16:20:49 -0700

kturtle (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:17:04 -0700

kturtle (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:40:57 +0200

kturtle (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:28:01 +0200

kturtle (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:16:08 +0200

kturtle (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:40:51 +0200

kturtle (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:31:52 +0200

kturtle (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: kturtle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Pino Toscano <pino@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kturtle.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kturtle
+X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/kturtle.git
 
 Package: kturtle
 Architecture: any

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kturtle-([\d\.]*).tar.xz

## kturtle 14.12.3

=== debian/changelog ===
kturtle (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:28:43 -0700

kturtle (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 23:34:24 +0100

kturtle (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:31:53 -0800

kturtle (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:09:45 +0100

kturtle (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Fix syntax in debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:48 +0100

kturtle (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:17:04 -0700

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kturtle.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kturtle-([\d.]+).tar.xz

## kturtle 15.08.2

=== debian/changelog ===
kturtle (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:53:14 +0100

kturtle (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:34:55 +0100

kturtle (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:43:37 +0100

kturtle (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:20:54 +0100

kturtle (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,12 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules (>= 1.0.0),
+               kio-dev,
+               libkf5i18n-dev,
+               libkf5kdelibs4support-dev,
+               libkf5newstuff-dev,
+               libqt5svg5-dev (>= 5.0.0),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle

## kturtle 15.12.3

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/kturtle/interpreter)

set(kturtle_SRCS
    canvas.cpp
    colorpicker.cpp
    console.cpp
    directiondialog.cpp
    highlighter.cpp
    inspector.cpp
    editor.cpp
    errordialog.cpp
    main.cpp
    mainwindow.cpp
    sprite.cpp
    interpreter/echoer.cpp
    interpreter/errormsg.cpp
    interpreter/executer.cpp
    interpreter/interpreter.cpp
    interpreter/parser.cpp
    interpreter/token.cpp
    interpreter/tokenizer.cpp
    interpreter/translator.cpp
    interpreter/treenode.cpp
    interpreter/value.cpp
)

qt5_add_dbus_adaptor(kturtle_SRCS interpreter/org.kde.kturtle.Interpreter.xml
                     interpreter/interpreter.h Interpreter)

set (kturtle_RCCS resources.qrc)
qt5_add_resources (kturtle_RCC_SRCS ${kturtle_RCCS})

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kturtle.png")
ecm_add_app_icon(kturtle_SRCS ICONS ${ICONS_SRCS})

add_executable(kturtle ${kturtle_SRCS}
                       ${kturtle_RCC_SRCS}
)

target_link_libraries(kturtle
    KF5::KIOCore
    KF5::NewStuff
    KF5::I18n
    Qt5::Core
    Qt5::Gui
    Qt5::Xml
    Qt5::Svg
    Qt5::PrintSupport
    KF5::TextWidgets
    KF5::Crash
)

install (TARGETS  kturtle          ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install (PROGRAMS    org.kde.kturtle.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install (FILES    kturtleui.rc     DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kturtle)
install (FILES    kturtle.knsrc    DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
kturtle (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:13:24 -0700

kturtle (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:23:26 +0100

kturtle (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:53 +0100

kturtle (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:36 +0100

kturtle (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 16:01:46 +0200

kturtle (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,20 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Pino Toscano <pino@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
                kio-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
                libkf5i18n-dev,
                libkf5kdelibs4support-dev,
                libkf5newstuff-dev,
-               libqt5svg5-dev (>= 5.0.0),
-               pkg-kde-tools (>= 0.12)
+               libkf5textwidgets-dev,
+               libqt5svg5-dev (>= 5.4),
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kturtle.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kturtle-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kturtle-([\d.]+).tar.xz

## kturtle 16.04.3

=== debian/changelog ===
kturtle (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
-               libkf5newstuff-dev,
-               libkf5textwidgets-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5textwidgets-dev (>= 5.24.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kturtle.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kturtle.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kturtle
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kturtle
 
 Package: kturtle
 Architecture: any

## kturtle 16.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION "5.0.0")

project (kturtle)

find_package(ECM 5.15.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddAppIcon)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Svg
    Widgets
    PrintSupport
)

find_package(KF5 5.15 REQUIRED
    Crash
    KIO
    NewStuff
    DocTools
    TextWidgets
    I18n
    CoreAddons
)

#Allows QString concatenation to use a single memory allocation per source line.
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory (doc)
add_subdirectory (src)
add_subdirectory (icons)

install(FILES org.kde.kturtle.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kturtle (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:17:45 +0100

kturtle (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:45:46 +0200

kturtle (4:16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 16:55:27 +0200

kturtle (4:16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:15:35 +0200

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev (>= 5.15~),
               kio-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5kdelibs4support-dev,
               libkf5kio-dev (>= 5.15~),
               libkf5newstuff-dev (>= 5.15~),
               libkf5textwidgets-dev (>= 5.15~),
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kturtle.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kturtle.git

Package: kturtle
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 16.12.3

=== debian/changelog ===
kturtle (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:56 +0000

kturtle (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:38 +0000

=== debian/control ===
Source: kturtle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kturtle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kturtle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kturtle

Package: kturtle
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: educational programming environment
 KTurtle is an educational programming environment which uses the TurtleScript
 programming language (inspired by Logo) to make programming as easy and
 accessible as possible.
 .
 The user issues TurtleScript language commands to control the "turtle", which
 draws on the canvas, making KTurtle suitable for teaching elementary
 mathematics, geometry and programming.
 .
 This package is part of the KDE education module.

## kturtle 17.04.3

=== debian/changelog ===
kturtle (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:53 +0100

## kturtle 17.12.3

=== debian/changelog ===
kturtle (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:59 +0000

kturtle (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:45 +0000

kturtle (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:26 +0000

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,8 @@
 Section: devel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: educational programming environment
  KTurtle is an educational programming environment which uses the TurtleScript
  programming language (inspired by Logo) to make programming as easy and
